%define upstream_name    Pod-Weaver-PluginBundle-MARCEL
%define upstream_version 1.102460

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build POD documentation like MARCEL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Section::Availability)
BuildRequires: perl(Pod::Weaver::Section::BugsAndLimitations)
BuildRequires: perl(Pod::Weaver::Section::Installation)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
This is the bundle used by default for my distributions. It is nearly
equivalent to the following:

    [@CorePrep]

    [Name]
    [Version]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Feb 26 2011 jquelin <jquelin> 1.102.460-1.mga1
+ Revision: 60714
- imported package perl-Pod-Weaver-PluginBundle-MARCEL


* Sat Feb 26 2011 cpan2dist 1.102460-1mga
- initial mageia release, generated with cpan2dist
